HandyControl Error / Handy shutting off

Script and Video are both playing for a few seconds then Handy returns to “Ready” mode after that.

I NEVER HAD this issue before… I cant play Scripts at ALL :cry: .
Not in HandyControl 1.2.3
Not in ScriptPlayer 1.1.1
and not even on Handyfeeling com

please someone help me out :pray:

Anybody got this problem before?

I CANT TEST MY NEW SCRIPTS.
That I’m about to post.

ERROR Message in HandyControl 1.2.3

Error Message:

02:32:40.337 - Stroke Generator - Start
02:32:47.844 - setSpeed - 45% (198 mm/s)
02:32:47.954 - setStroke - 34%
02:32:48.079 - setSpeed - 17% (95 mm/s)
02:32:48.205 - setStroke - 23%
02:32:52.325 - setMode - 1 (Automatic)
02:32:52.453 - setSpeed - 41% (183 mm/s)
02:32:52.499 - Error in : APIResponse.Analyse - Unable to cast object of type ‘Newtonsoft.Json.Linq.JObject’ to type ‘Newtonsoft.Json.Linq.JValue’.
02:32:54.044 - setStroke - Error - Success False -
02:32:55.004 - Stroke Generator - Stop
02:32:55.189 - setMode - 0 (Off)

Looks like a software problem. (However, I never encountered what you reported)
This is how I solved various software problems;

Clean up temp files (I use Wise Disk cleaner)
Reboot
Uninstall HandyControl or Scriptplayer
Clean up temp files
Reboot
When that does not work uninstall HandyControl or Scriptplayer (Depending on what you uninstalled before) and repeat temp file cleaning and reboot.
If that does not solve it try to uninstall and reinstall .NET framework and repeat cleaning/reboot
(Search for “How to completely uninstall Microsoft .NET Framework” how to do that)
I hope this helps you solve it.

will try. thx!

There is some issue with API. In HandyControl in settings you can choose a few versions of the API (it’s a bar with handyfeeling.com address), see if changing it helps. If not maybe try to update your Handy and check again (3.2.2. is the newest version of the software).

The Default API adress that i use (that has always worked) is:
https://www.handyfeeling.com/api/v1/

When i use the other API adress:
https://www.handyfeeling.com/api/handy/v2/

I get this Error Message:

setMode - Exception - An invalid request URI was provided. The request URI must either be an absolute URI or BaseAddress must be set.

22:39:13.458 - setStroke - Exception - An invalid request URI was provided. The request URI must either be an absolute URI or BaseAddress must be set.

22:39:15.040 - setOffset - Exception - An invalid request URI was provided. The request URI must either be an absolute URI or BaseAddress must be set.

22:39:30.890 - getServerTime - 09/24/2980 10:19:49 - Initial Offset: -33551305132561 - Average Offset: 63791267951081

22:39:32.493 - Script Upload - Error - Success False -

22:39:34.083 - Script Stop - Exception - An invalid request URI was provided. The request URI must either be an absolute URI or BaseAddress must be set.
:cry:
When i open these API adresses in Firefox. Firefox tells me for: https://www.handyfeeling.com/api/v1/

Cannot GET /api/v1/

And for https://www.handyfeeling.com/api/handy/v2/

error
code 404
name NOT_FOUND
message not found

I ONLY have these 2 API adresses in HandyControl 1.2.3

Are my API adresses OUTDATED??? And not working anymore?

22:57:29.373 - getVersion - Installed: 3.2.3+c1ddbc7e, Latest: 3.2.2+f1faefaf

wait WHAT… I have Version 3.2.3 installed??? :open_mouth:
How can i downgrade and update to 3.2.2 again?

I’m sure the more tech savvy people on here can help (sadly I’m not one of them) but if no one can, there is a handy discord that’s pretty responsive.

1 Like

Ok i found out on the Handyfeeling website some Errors in the Console of Opera and Mozilla Firefox.

Here are 2 Screenshots of the Internet Browser: Opera and Mozilla Firefox.

Opera

Mozilla Firefox

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.